% Demonstration of bivariate Gaussian density
clear all;
close all;
clc;

m_x = 0;
m_y = 0;
sigma_x = 1.5;
sigma_y = 0.6;
rho = 0;        % correllation coefficient between X and Y


[x, y] = meshgrid(-3:.25:3);
z = ((x - m_x) ./ sigma_x).^2 - 2*rho*((x - m_x) ./ sigma_x).*((y - m_y) ./ sigma_y) + ((y - m_y) ./ sigma_y).^2;
z = exp( z / -2 / (1 - rho^2)) / (2*pi*sigma_x*sigma_y*sqrt(1 - rho^2));
meshz(x, y, z);
axis([-3 3 -3 3 0 0.15]);
xlabel('x-axis');
ylabel('y-axis');

figure, contour(x,y,z);
xlabel('x-axis');
ylabel('y-axis');
axis equal;
axis([-3 3 -3 3]);